﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WTBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBS_REPORTANALYSIS') 
 CREATE TABLE T_WTBS_REPORTANALYSIS (
FID BIGINT DEFAULT 0 NOT NULL,
FTOTALTASKCOST INT DEFAULT 0 NOT NULL,
FSHARDINGNUM INT DEFAULT 0 NOT NULL,
FSHARDINGLIMIT INT DEFAULT 0 NOT NULL,
FMAINTASKSTART DATETIME,
FMAINTASKEND DATETIME,
FRICHTEXT VARCHAR(255) DEFAULT ' ' NOT NULL,
FRICHTEXT_TAG NCLOB,
FANALYSISDATA VARCHAR(255) DEFAULT ' ' NOT NULL,
FANALYSISDATA_TAG NCLOB,
FVERSIONID VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAINTASKID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBS_TASKPARA') 
 CREATE TABLE T_WTBS_TASKPARA (
FID BIGINT DEFAULT 0 NOT NULL,
FGENREPORT CHAR(1) DEFAULT '0' NOT NULL,
FCOSTSORT CHAR(1) DEFAULT '0' NOT NULL,
FCATEGORY VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL VARCHAR(10) DEFAULT ' ' NOT NULL,
FLINELIMIT INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBS_TASKREPORT') 
 CREATE TABLE T_WTBS_TASKREPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(150) DEFAULT ' ' NOT NULL,
FSERIALNUM INT DEFAULT 0 NOT NULL,
FJSONTEXT VARCHAR(255) DEFAULT ' ' NOT NULL,
FJSONTEXT_TAG NCLOB,
FTOTALTASKID BIGINT DEFAULT 0 NOT NULL,
FSUBTASKID BIGINT DEFAULT 0 NOT NULL,
FCATEGORY VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBS_TASKREPORTEX') 
 CREATE TABLE T_WTBS_TASKREPORTEX (
FID BIGINT DEFAULT 0 NOT NULL,
FLABELINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
FLABELINFO_TAG NCLOB,
FCALREPORTID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WTBS_table.sql **/
