﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WTBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBS_MAINTASK') 
 CREATE TABLE T_WTBS_MAINTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKREQSTR VARCHAR(255) DEFAULT ' ' NOT NULL,
FTASKREQSTR_TAG NCLOB,
FBIZTASKID BIGINT DEFAULT 0 NOT NULL,
FCATEGORY VARCHAR(50) DEFAULT ' ' NOT NULL,
FTIMEOUTINSECOND INT DEFAULT 0 NOT NULL,
FHASSHARDINGTASK CHAR(1) DEFAULT '0' NOT NULL,
FTOTALSHARDINGTASK INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FTIMECOST BIGINT DEFAULT 0 NOT NULL,
FTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FFINISHEDSHARDINGTASK INT DEFAULT 0 NOT NULL,
FUPDATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBS_MTRUNLOG') 
 CREATE TABLE T_WTBS_MTRUNLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FMAINTASKID BIGINT DEFAULT 0 NOT NULL,
FPROGRESS INT DEFAULT 0 NOT NULL,
FUPDATETIME DATETIME,
FEXECUTORID VARCHAR(50) DEFAULT ' ' NOT NULL,
FISCURRENT CHAR(1) DEFAULT '0' NOT NULL,
FTASKINFOID VARCHAR(50) DEFAULT ' ' NOT NULL,
FREPORTDATA VARCHAR(255) DEFAULT ' ' NOT NULL,
FREPORTDATA_TAG NCLOB,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBS_SHARDINGTASK') 
 CREATE TABLE T_WTBS_SHARDINGTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FDISPATCHREQSTR VARCHAR(255) DEFAULT ' ' NOT NULL,
FDISPATCHREQSTR_TAG NCLOB,
FMAINTASKID BIGINT DEFAULT 0 NOT NULL,
FBIZSUBTASKID BIGINT DEFAULT 0 NOT NULL,
FENDDATE DATETIME,
FUPDATETIME DATETIME,
FSUBTASKSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBS_STEXLOG') 
 CREATE TABLE T_WTBS_STEXLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FSHARDINGTASKID BIGINT DEFAULT 0 NOT NULL,
FSTRUNLOGID BIGINT DEFAULT 0 NOT NULL,
FEXSTR VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXSTR_TAG NCLOB,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBS_STRUNLOG') 
 CREATE TABLE T_WTBS_STRUNLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FSHARDINGTASKID BIGINT DEFAULT 0 NOT NULL,
FEXECUTORID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROGRESS INT DEFAULT 0 NOT NULL,
FISCURRENT CHAR(1) DEFAULT '0' NOT NULL,
FREPORTDATA VARCHAR(255) DEFAULT ' ' NOT NULL,
FREPORTDATA_TAG NCLOB,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FUPDATETIME DATETIME,
FMAINTASKID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WTBS_table.sql **/
